
class EndNodeView extends CircleNode {
    getAnchorStyle() {
        return {
          visibility: 'hidden',
        };
      }
      getShape() {
        const { model } = this.props;
        const style = model.getNodeStyle();
        const { x, y, r } = model;
        const outCircle = super.getShape();
        return h(
          'g',
          {},
          outCircle,
          h('circle', {
            ...style,
            cx: x,
            cy: y,
            r: r - 5,
          }),
        );
      }
    
  
}
class EndNodeModel extends CircleNodeModel {
    getNodeStyle() {
        const style = super.getNodeStyle();
        style.stroke = 'blue';
        const properties = super.getProperties();
        if (properties.isActived === true) {
            style.fill = 'grey'
        }
        return style;
    }
    initNodeData(data) {
        super.initNodeData(data);
        this.r=20;
    }
    
}
export { EndNodeView, EndNodeModel }